Get firmware verification report
curl --request GET \
--url https://api.example.com/api/v1/jobs/{id}/firmware-verification-report/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/jobs/{id}/firmware-verification-report/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/jobs/{id}/firmware-verification-report/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/jobs/{id}/firmware-verification-report/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/jobs/{id}/firmware-verification-report/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/jobs/{id}/firmware-verification-report/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/jobs/{id}/firmware-verification-report/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"schema_version": "<string>",
"desired_target_level": "<string>",
"current_compliance_state": "compliant",
"submitted_input": {
"desired_target_level": "<string>",
"components": [
{
"component_key": "<string>",
"expected_version": "<string>"
}
]
},
"input_source": "<string>",
"input_digest": "<string>",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"temporal_workflow_id": "<string>",
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_name": "<string>",
"vendor": "<string>",
"model": "<string>",
"evidence_source": "<string>",
"collection_started_at": "2023-11-07T05:31:56Z",
"collection_completed_at": "2023-11-07T05:31:56Z",
"evaluated_at": "2023-11-07T05:31:56Z",
"findings": [
{
"component_key": "<string>",
"expected_version": "<string>",
"observed_version": "<string>",
"outcome": "compliant",
"reason": "version_match",
"detail": "<string>"
}
],
"unexpected_observations": [
{
"component_key": "<string>",
"observed_version": "<string>",
"detail": "<string>"
}
],
"collection_error": "<string>"
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Jobs
Get firmware verification report
Return the validated JSON evidence for a firmware-verification job.
GET
/
api
/
v1
/
jobs
/
{id}
/
firmware-verification-report
/
Get firmware verification report
curl --request GET \
--url https://api.example.com/api/v1/jobs/{id}/firmware-verification-report/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/jobs/{id}/firmware-verification-report/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/jobs/{id}/firmware-verification-report/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/jobs/{id}/firmware-verification-report/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/jobs/{id}/firmware-verification-report/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/jobs/{id}/firmware-verification-report/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/jobs/{id}/firmware-verification-report/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"schema_version": "<string>",
"desired_target_level": "<string>",
"current_compliance_state": "compliant",
"submitted_input": {
"desired_target_level": "<string>",
"components": [
{
"component_key": "<string>",
"expected_version": "<string>"
}
]
},
"input_source": "<string>",
"input_digest": "<string>",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"temporal_workflow_id": "<string>",
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_name": "<string>",
"vendor": "<string>",
"model": "<string>",
"evidence_source": "<string>",
"collection_started_at": "2023-11-07T05:31:56Z",
"collection_completed_at": "2023-11-07T05:31:56Z",
"evaluated_at": "2023-11-07T05:31:56Z",
"findings": [
{
"component_key": "<string>",
"expected_version": "<string>",
"observed_version": "<string>",
"outcome": "compliant",
"reason": "version_match",
"detail": "<string>"
}
],
"unexpected_observations": [
{
"component_key": "<string>",
"observed_version": "<string>",
"detail": "<string>"
}
],
"collection_error": "<string>"
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Authorizations
oauth2cookieAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
A UUID string identifying this job.
Response
Versioned M1 or policy-backed firmware verification evidence.
- Option 1
- Option 2
- Option 3
compliant- COMPLIANTnon_compliant- NON_COMPLIANTpartial- PARTIALstale- STALEunknown- UNKNOWN
Available options:
compliant, non_compliant, partial, stale, unknown Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes